Subject: Re: bug#45319: 28.0.50; Redisplay: `forward-char' moves backwards into invisible text

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Dec 2020 13:26:01 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 19 Dec 2020 12:21:27 +0100
> 
> > Does setting global-disable-point-adjustment non-nil and repeating
> > your experiment explain what happens?
> 
> I currently can't try because I'm eating ATM (yeah, shouldn't read mails
> while eating...) but in the Magit buffer that was the first thing I had
> tried and it didn't have an effect.

then maybe your recipe is not a complete demonstration what happens in
Magit buffers.

> > It isn't a redisplay problem.
> 
> Point is moved from a visible into an invisible area - that should not
> happen, no?  Even with point-adjustment enabled.

Why not?  "Invisible" means it is not displayed, but it doesn't mean
point cannot be there.  We have point-adjustment to avoid confusing
users because otherwise when point enters invisible text, cursor
movement commands would seem to have no effect, but that doesn't mean
point cannot enter invisible text.